package betterwithmods.common.entity.ai.eat;

import net.minecraft.entity.EntityCreature;
import net.minecraft.init.SoundEvents;
import net.minecraft.item.ItemStack;
import net.minecraft.item.crafting.Ingredient;

public class EntityAIMonsterEat extends EntityAIEatFood<EntityCreature> {

    private int cooldown;

    public EntityAIMonsterEat(EntityCreature entity, Ingredient validItem, double squareDistance) {
        super(entity, validItem, squareDistance);
    }

    @Override
    public boolean isReady() {
        return cooldown > 0;
    }

    @Override
    public void onEaten(ItemStack food) {
        entity.func_184185_a(SoundEvents.field_187739_dZ, 1.0F, (entity.field_70170_p.field_73012_v.nextFloat() - entity.field_70170_p.field_73012_v.nextFloat()) * 0.2F + 1.0F);
        cooldown = 200;
        food.func_190918_g(1);
    }

}
