package betterwithmods.module.gameplay.breeding_harness;

import betterwithmods.module.gameplay.breeding_harness.models.ModelSheepHarness;
import net.minecraft.client.model.ModelBase;
import net.minecraft.client.renderer.GlStateManager;
import net.minecraft.client.renderer.entity.RenderLiving;
import net.minecraft.client.renderer.entity.layers.LayerRenderer;
import net.minecraft.entity.EntityLiving;
import net.minecraft.entity.passive.EntitySheep;
import net.minecraft.util.ResourceLocation;

public class LayerHarness<T extends EntityLiving> implements LayerRenderer<T> {

    private final RenderLiving<T> render;
    private final ResourceLocation texture;
    private ModelBase model;

    protected LayerHarness(ModelBase model, RenderLiving<T> render, ResourceLocation texture) {
        this.model = model;
        this.render = render;
        this.texture = texture;
    }

    @Override
    public void func_177141_a(T entity, float limbSwing, float limbSwingAmount, float partialTicks, float ageInTicks, float netHeadYaw, float headPitch, float scale) {
        if(entity instanceof EntitySheep)
            model = new ModelSheepHarness(0.5f);
        if (BreedingHarness.hasHarness(entity)) {
            GlStateManager.func_179094_E();
            render.func_110776_a(texture);
            this.model.field_78091_s = entity.func_70631_g_();
            this.model.func_78086_a(entity, limbSwing, limbSwingAmount, partialTicks);
            this.model.func_78087_a(limbSwing, limbSwingAmount, ageInTicks, netHeadYaw, headPitch, scale, entity);
            this.model.func_78088_a(entity, limbSwing, limbSwingAmount, ageInTicks, netHeadYaw, headPitch, scale);
            GlStateManager.func_179121_F();
        }
    }

    @Override
    public boolean func_177142_b() {
        return false;
    }
}
