package betterwithmods.common.blocks;

import betterwithmods.common.blocks.tile.TileFurnace;
import net.minecraft.block.SoundType;
import net.minecraft.block.state.IBlockState;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.init.Blocks;
import net.minecraft.inventory.InventoryHelper;
import net.minecraft.item.Item;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;

import java.util.Random;

public class BlockFurnace extends net.minecraft.block.BlockFurnace {
    public BlockFurnace(boolean isBurning) {
        super(isBurning);
        if (isBurning) {
            func_149715_a(0.875F);
        }
        func_149663_c("furnace");

        func_149711_c(3.5F);
        func_149672_a(SoundType.field_185851_d);
        func_149647_a(CreativeTabs.field_78031_c);
    }

    static Item furnace;

    @Override
    public Item func_180660_a(IBlockState state, Random rand, int fortune) {
        return furnace == null ? furnace = Item.func_150898_a(Blocks.field_150460_al) : furnace;
    }

    @Override
    public void func_180663_b(World world, BlockPos pos, IBlockState oldState) {
        IBlockState state = world.func_180495_p(pos);
        if (state.func_177230_c() != Blocks.field_150460_al && state.func_177230_c() != Blocks.field_150470_am) {
            TileEntity tileentity = world.func_175625_s(pos);
            if (tileentity instanceof TileFurnace) {
                InventoryHelper.func_180175_a(world, pos, (TileFurnace) tileentity);
                world.func_175666_e(pos, this);
            }
            world.func_175713_t(pos);
        }
    }


    @Override
    public TileEntity func_149915_a(World worldIn, int meta) {
        return new TileFurnace();
    }
}


