package betterwithmods.common.items.tools;

import betterwithmods.BWMod;
import betterwithmods.common.entity.EntityBroadheadArrow;
import net.minecraft.client.resources.I18n;
import net.minecraft.client.util.ITooltipFlag;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.projectile.EntityArrow;
import net.minecraft.item.Item;
import net.minecraft.item.ItemArrow;
import net.minecraft.item.ItemStack;
import net.minecraft.util.EnumFacing;
import net.minecraft.world.World;
import net.minecraftforge.event.entity.player.ArrowLooseEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;
import net.minecraftforge.items.CapabilityItemHandler;
import net.minecraftforge.items.IItemHandler;

import javax.annotation.Nullable;
import java.util.List;

/**
 * Purpose:
 *
 * @author primetoxinz
 * @version 11/18/16
 */
@Mod.EventBusSubscriber(modid = BWMod.MODID)
public class ItemBroadheadArrow extends ItemArrow {

    @SideOnly(Side.CLIENT)
    @Override
    public void func_77624_a(ItemStack stack, @Nullable World worldIn, List<String> tooltip, ITooltipFlag flagIn) {
        super.func_77624_a(stack, worldIn, tooltip, flagIn);
        tooltip.add(I18n.func_135052_a("item.bwm:broadhead_arrow.tooltip.0"));
        tooltip.add(I18n.func_135052_a("item.bwm:broadhead_arrow.tooltip.1"));
    }

    @Override
    public EntityArrow func_185052_a(World worldIn, ItemStack stack, EntityLivingBase shooter) {
        if (!stack.func_190926_b() && stack.func_77973_b() == this)
            return new EntityBroadheadArrow(worldIn, shooter);
        return super.func_185052_a(worldIn, stack, shooter);
    }

    @SubscribeEvent
    public static void onArrowLoose(ArrowLooseEvent event) {
        if(!(event.getBow().func_77973_b() instanceof ItemCompositeBow)) {
            IItemHandler inventory = event.getEntityPlayer().getCapability(CapabilityItemHandler.ITEM_HANDLER_CAPABILITY, EnumFacing.UP);
            for(int slot = 0; slot < inventory.getSlots(); slot++) {
                Item itemInSlot = inventory.getStackInSlot(slot).func_77973_b();
                if(itemInSlot instanceof ItemArrow) {
                    if(itemInSlot instanceof ItemBroadheadArrow) {
                        event.setCharge(5);
                        break;
                    } else {
                        break;
                    }
                }
            }
        }
    }
}
